Debian Bug report logs - #694908
Contains non-free data

version graph

Package: emboss; Maintainer for emboss is Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>; Source for emboss is src:emboss.

Reported by: Charles Plessy <plessy@debian.org>

Date: Sun, 2 Dec 2012 00:42:05 UTC

Severity: serious

Tags: wheezy-ignore

Found in versions emboss/6.4.0-2, emboss/6.4.0-4

Fixed in version 6.6.0-1

Done: Charles Plessy <plessy@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, plessy@debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Sun, 02 Dec 2012 00:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
New Bug report received and forwarded. Copy sent to plessy@debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sun, 02 Dec 2012 00:42:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Contains non-free data
Date: Sun, 02 Dec 2012 09:39:14 +0900
Package: emboss
Version: 6.4.0-4
Severity: serious

As discussed in the following message, EMBOSS contains non-free data.

  https://lists.debian.org/20120918045219.GA26402@falafel.plessy.net

We need to consider short- and long-term solutions to this problem.  For the
short-term solution, I think that I will not have time to split free and
non-free parts of EMBOSS, so we need again to consider to move it altogether to
non-free.  In contrary to the UniProt files which were in the test suite, the
Gene Ontology files are needed by EMBOSS to run some of its programs.

For the long-term solution, does anybody here have good contacts with the Gene
Ontology community, and would have chances to advocate for a relicensing ?

Have a nice Sunday,

-- 
Charles



Marked as found in versions emboss/6.4.0-2. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Fri, 21 Dec 2012 09:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Sat, 29 Dec 2012 17:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 29 Dec 2012 17:54:09 GMT) Full text and rfc822 format available.

Message #12 received at 694908@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Charles Plessy <plessy@debian.org>, 694908@bugs.debian.org
Subject: Re: Bug#694908: Contains non-free data
Date: Sat, 29 Dec 2012 18:46:20 +0100
[Message part 1 (text/plain, inline)]
On Sun, Dec  2, 2012 at 09:39:14 +0900, Charles Plessy wrote:

> Package: emboss
> Version: 6.4.0-4
> Severity: serious
> 
> As discussed in the following message, EMBOSS contains non-free data.
> 
>   https://lists.debian.org/20120918045219.GA26402@falafel.plessy.net
> 
> We need to consider short- and long-term solutions to this problem.  For the
> short-term solution, I think that I will not have time to split free and
> non-free parts of EMBOSS, so we need again to consider to move it altogether to
> non-free.  In contrary to the UniProt files which were in the test suite, the
> Gene Ontology files are needed by EMBOSS to run some of its programs.
> 
Does that mean emboss and embassy-* need to be removed from wheezy?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Sat, 29 Dec 2012 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steffen Möller" <steffen_moeller@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 29 Dec 2012 19:45:03 GMT) Full text and rfc822 format available.

Message #17 received at 694908@bugs.debian.org (full text, mbox):

From: "Steffen Möller" <steffen_moeller@gmx.de>
To: 694908@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#694908: Contains non-free data
Date: Sat, 29 Dec 2012 20:42:41 +0100
[Message part 1 (text/plain, inline)]
----- Ursprüngliche Nachricht -----
Von: Julien Cristau
Gesendet: 29.12.12 18:46 Uhr
An: Charles Plessy, 694908@bugs.debian.org
Betreff: [Debian-med-packaging] Bug#694908: Contains non-free data

 On Sun, Dec 2, 2012 at 09:39:14 +0900, Charles Plessy wrote: > Package: emboss > Version: 6.4.0-4 > Severity: serious > > As discussed in the following message, EMBOSS contains non-free data. > > https://lists.debian.org/20120918045219.GA26402@falafel.plessy.net > > We need to consider short- and long-term solutions to this problem. For the > short-term solution, I think that I will not have time to split free and > non-free parts of EMBOSS, so we need again to consider to move it altogether to > non-free. In contrary to the UniProt files which were in the test suite, the > Gene Ontology files are needed by EMBOSS to run some of its programs. > Does that mean emboss and embassy-* need to be removed from wheezy?  The GO license I read as "scientific integrity". Yes, as a consequence you cannot modify
 the database at will or it is not GO any more and you cite it where you use it. IIRC some
 two GO terms or so I had at some point suggested myself, so changes _can_ be made
 and one is even helped to get it done consistently. For other views on the world,
 have all the freedom of the world to start your own ontologies, and many are doing so.
 In my mind, having it all shipping together is just fine enough for Wheezy. A hard core
 alternative would be to substitute it with a mockup GO with the only entries explaining
 how to install the real thing. One could also just remove the database and see a few tools fail.
 To me, it is a small side issue and I suggest to demote the bug from Serious to Wishlist.

 Steffen
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Sun, 30 Dec 2012 10:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sun, 30 Dec 2012 10:51:06 GMT) Full text and rfc822 format available.

Message #22 received at 694908@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Julien Cristau <jcristau@debian.org>, 694908@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#694908: Contains non-free data
Date: Sun, 30 Dec 2012 19:46:10 +0900
> On Sun, Dec  2, 2012 at 09:39:14 +0900, Charles Plessy wrote:
> > 
> > As discussed in the following message, EMBOSS contains non-free data.
> > 
> >   https://lists.debian.org/20120918045219.GA26402@falafel.plessy.net
> > 
> > We need to consider short- and long-term solutions to this problem.  For the
> > short-term solution, I think that I will not have time to split free and
> > non-free parts of EMBOSS, so we need again to consider to move it altogether to
> > non-free.  In contrary to the UniProt files which were in the test suite, the
> > Gene Ontology files are needed by EMBOSS to run some of its programs.

Le Sat, Dec 29, 2012 at 06:46:20PM +0100, Julien Cristau a écrit :
> 
> Does that mean emboss and embassy-* need to be removed from wheezy?

I am contacting Gene Ontology's helpdesk to make sure that we have the right to
redistribute the datai (copy pasted below).  Once this is confirmed, this bug
can be addressed by ignoring, downgrading, removing, or re-uploading to
non-free (sorted by increasing amounts of work).

I think that the release team has to decide which way to take: if I understand
correctly you are tagging wheezy-ignore other license issues (GFDL, non-free
PostScript code), but I do not know what are the criterion you follow, so I can
not decide for you.

Please let me know if you need further information.  Also, I would be
interested to hear the opinion of Debian Med's members about moving EMBOSS to
non-free.

Bon dimanche,

-- Charles



------ Message posted this morining on GO's contact page --------

Dear GO consortium,

I found on the page <http://www.geneontology.org/GO.cite.shtml> of your website some instructions on how to use GO without license.  However, I have not found an explicit right to redistribute the data.

The Debian operating system is currently redistributing some files from GO indirectly, as we redistribute the EMBOSS package, which incorporates some GO files since its version 6.4 (http://packages.debian.org/wheezy/emboss).

Debian considers copyrights and licenses very seriously, and our system only contains Free software, that is, materials that our users can freely use, modify and redistribute themselves. In addition to our system, we have a "non-free" archive in which, as a convenience for our users, we redistribute works that give less freedoms to our users.

In order to evaluate if works containing GO files can at least be distributed in our "non-free" area, I would like to know if GO is available under other terms of use or licenses, that allow redistributing GO files.

Lastly, have you considered distributing GO under less restrictive terms, to ease its use in Free software projects ?

Best regards,

-- 
Charles Plessy
Debian Med team
http://www.debian.org/devel/debian-med



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Mon, 31 Dec 2012 15:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 31 Dec 2012 15:36:03 GMT) Full text and rfc822 format available.

Message #27 received at 694908@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 694908@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#694908: Bug#694908: Contains non-free data
Date: Mon, 31 Dec 2012 16:32:29 +0100
Hi,

On Sun, Dec 30, 2012 at 07:46:10PM +0900, Charles Plessy wrote:
> 
> Please let me know if you need further information.  Also, I would be
> interested to hear the opinion of Debian Med's members about moving EMBOSS to
> non-free.

I'd prefer keeping EMBOSS in main and sorting out what parts might
*really* need the non-free licensed data.  I think it might make sense
to wait for the answer to your mail to the copyright owners what
solution might be the most reasonable.  I could imagine to use the
Debian Med sprint to work on this issue.

Kind regards

    Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Mon, 31 Dec 2012 18:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 31 Dec 2012 18:54:08 GMT) Full text and rfc822 format available.

Message #32 received at 694908@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 694908@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: [Debian-med-packaging] Bug#694908: Bug#694908: Contains non-free data
Date: Tue, 1 Jan 2013 03:50:08 +0900
Le Mon, Dec 31, 2012 at 04:32:29PM +0100, Andreas Tille a écrit :
> 
> I could imagine to use the Debian Med sprint to work on this issue.

Hi Andreas,

very good idea: there would definitely need the energy of a Sprint to solve the
problem, as there are half a dozen different sources of external data, all
potentially non-free.

 http://anonscm.debian.org/gitweb/?p=debian-med/emboss.git;a=tree;f=emboss/data/OBO;hb=HEAD

This year again I will not have opportunity to join the Sprint as I have taken
a lot of holidays for Christmas (I am just leaving Europe for Japan, greetings
from Frankfurt airport !).  But you have all my blessing to make major changes
to the package if needed.

Enjoy the End of Year !

-- 
Charles



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Mon, 31 Dec 2012 19:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 31 Dec 2012 19:15:06 GMT) Full text and rfc822 format available.

Message #37 received at 694908@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Steffen Möller <steffen_moeller@gmx.de>, 694908@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#694908: Bug#694908: Contains non-free data
Date: Tue, 1 Jan 2013 04:12:28 +0900
Le Sat, Dec 29, 2012 at 08:42:41PM +0100, Steffen Möller a écrit :
>  
>  The GO license I read as "scientific integrity". Yes, as a consequence you
>  cannot modify the database at will or it is not GO any more and you cite it
>  where you use it. IIRC some two GO terms or so I had at some point suggested
>  myself, so changes _can_ be made and one is even helped to get it done
>  consistently. For other views on the world, have all the freedom of the
>  world to start your own ontologies, and many are doing so.

Hi Steffen,

The problem would definitely be solved if license terms would allow to modify
the data provided that the name is changed, in line with DFSG#4, but I could
not find such a permission on GO's website.

I considered proposing this in the message I sent to GO, but in the end, this
is a practice that I do not want to recommend, as things would become very
impractical if such clauses would become the norm for for software and data
(this is why I am also very sceptical with trademark restrictions).  I think
that clauses requiring "proeminent notices" are a good compromise, and data
integrity checks (signed checksums, etc.) are the best way to prevent potential
problems.

But I expect quite a variety of opinons on the subject, even within Debian Med.
We should better speak of one voice, not only with GO, but also with the other
ontology providers, so to the other developers: please express yourself if you
wish, so that we can build a consensus.

Cheers,

-- 
Charles



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Tue, 01 Jan 2013 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 01 Jan 2013 08:39:03 GMT) Full text and rfc822 format available.

Message #42 received at 694908@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Julien Cristau <jcristau@debian.org>, 694908@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#694908: Contains non-free data
Date: Tue, 1 Jan 2013 17:35:24 +0900
Le Sun, Dec 30, 2012 at 07:46:10PM +0900, Charles Plessy a écrit :
> 
> I am contacting Gene Ontology's helpdesk to make sure that we have the right to
> redistribute the datai (copy pasted below).

I received excellent news: Gene Ontology is considering to switch to the
Creative Commons BY (Attribution 3.0 Unported) license in 2013.

Remaining data for which the licence has to be clarified:

 http://www.ebi.ac.uk/chebi/

 http://www.obofoundry.org/cgi-bin/detail.cgi?id=evidence_code

 http://www.obofoundry.org/cgi-bin/detail.cgi?id=pathway

 http://obofoundry.org/ro/

 http://www.sequenceontology.org/

 http://theswo.sourceforge.net/

(all in emboss/data/OBO )

Cheers,

-- 
Charles



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Tue, 01 Jan 2013 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 01 Jan 2013 08:57:03 GMT) Full text and rfc822 format available.

Message #47 received at 694908@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 694908@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#694908: Bug#694908: Contains non-free data
Date: Tue, 1 Jan 2013 09:53:09 +0100
Hi Charles,

On Tue, Jan 01, 2013 at 05:35:24PM +0900, Charles Plessy wrote:
> Le Sun, Dec 30, 2012 at 07:46:10PM +0900, Charles Plessy a écrit :
> > 
> > I am contacting Gene Ontology's helpdesk to make sure that we have the right to
> > redistribute the datai (copy pasted below).
> 
> I received excellent news: Gene Ontology is considering to switch to the
> Creative Commons BY (Attribution 3.0 Unported) license in 2013.

That's really excellent!  Many thanks for your effort.
 
> Remaining data for which the licence has to be clarified:
> 
>  http://www.ebi.ac.uk/chebi/
> 
>  http://www.obofoundry.org/cgi-bin/detail.cgi?id=evidence_code
> 
>  http://www.obofoundry.org/cgi-bin/detail.cgi?id=pathway
> 
>  http://obofoundry.org/ro/
> 
>  http://www.sequenceontology.org/
> 
>  http://theswo.sourceforge.net/

Any idea whether we could drop any of these data sets without loosing
functionality?  Could you also somehow publish (if needed internally)
your e-mail to Gene Ontology to write similar mails to the other
copyright holders?

Thanks for your work on this and happy new year

      Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Tue, 01 Jan 2013 09:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 01 Jan 2013 09:21:03 GMT) Full text and rfc822 format available.

Message #52 received at 694908@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 694908@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#694908: Bug#694908: Contains non-free data
Date: Tue, 1 Jan 2013 18:17:41 +0900
Le Tue, Jan 01, 2013 at 09:53:09AM +0100, Andreas Tille a écrit :
> 
> Could you also somehow publish (if needed internally)
> your e-mail to Gene Ontology to write similar mails to the other
> copyright holders?

Hi Andreas,

It was at the bottom of http://bugs.debian.org/694908#22, and I
just saw that the exchange was public in Upstream's bugtracker.

  http://www.ebi.ac.uk/panda/jira/browse/GOHELP-147

Cheers,

-- 
Charles



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Mon, 07 Jan 2013 13:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 07 Jan 2013 13:15:05 GMT) Full text and rfc822 format available.

Message #57 received at 694908@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: 694908@bugs.debian.org
Subject: Re: Contains non-free data
Date: Mon, 7 Jan 2013 14:12:52 +0100
Hi,

just to keep you updated and have a record what happened.  I asked for a
login for ChEBI issue tracker.  Because it seems to take some time I injected
into the form at

   https://www.ebi.ac.uk/chebi/emailChebiForward.do

under my debian.org address the following text:

-------------------------------------------------------------------------------

Hello,
I'm writing you on the behalf of the Debian Med team which has included the EMBOSS suite into official Debian distribution.

I found on the page https://www.ebi.ac.uk/chebi/aboutChebiForward.do the statement that the database is free.   However, I have not found an explicit right to redistribute the data.

The Debian operating system is currently redistributing some files from ChEBI indirectly, as we redistribute the EMBOSS package, which incorporates some ChEBI files since its version 6.4 (http://packages.debian.org/wheezy/emboss).

Debian considers copyrights and licenses very seriously, and our system only contains Free software, that is, materials that our users can freely use, modify and redistribute themselves. In addition to our system, we have a "non-free" archive in which, as a convenience for our users, we redistribute works that give less freedoms to our users.

In order to evaluate if works containing ChEBI files can at least be distributed in our "non-free" area, I would like to know if ChEBI is available under other terms of use or licenses, that allow redistributing ChEBI files.

Please note:  If you might like to apply a more detailed license including redistribution statement it would be great if you could post this in public to the Debian Med mailing list <debian-med@lists.debian.org>.

Kind regards and thanks for providing ChEBI
    Andreas.

-------------------------------------------------------------------------------

Kind regards

       Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Mon, 07 Jan 2013 13:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 07 Jan 2013 13:33:05 GMT) Full text and rfc822 format available.

Message #62 received at 694908@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Michelle Gwinn Giglio <mgiglio@som.umaryland.edu>
Cc: 694908@bugs.debian.org
Subject: Redistribution of Evidence codes inside EMBOSS suite packaged for Debian
Date: Mon, 7 Jan 2013 14:30:40 +0100
Hello Michelle,

I'm writing you on the behalf of the Debian Med team which has included
the EMBOSS suite into official Debian distribution.  The EMBOSS suite
does contain some files of the Evidence codes ontology and the site

   http://www.obofoundry.org/cgi-bin/detail.cgi?id=evidence_code

lists you as contact.  So I hope is fine to contact you.  Please note
that I have put the according bug tracker e-mail to this mail which
makes this mail publicly available.  While we would finally need a
public statement please make sure you drop this CC in case you prefer
that your response is not publicly readable.

By packaging the EMBOSS suite the Debian operating system is currently
redistributing some files from Evidence codes ontology indirectly, which
incorporates some Evidence codes ontology files since its version 6.4
(http://packages.debian.org/wheezy/emboss).

Debian considers copyrights and licenses very seriously, and our system
only contains Free software, that is, materials that our users can
freely use, modify and redistribute themselves. In addition to our
system, we have a "non-free" archive in which, as a convenience for our
users, we redistribute works that give less freedoms to our users.

In order to evaluate if works containing Evidence codes ontology files
can at least be distributed in our "non-free" area, I would like to know
if Evidence codes ontology is available under other terms of use or
licenses, that allow redistributing Evidence codes ontology files.  You
might even like to follow the Gene Ontology Consortium that has put its
database under a Creative Commons BY (Attribution 3.0 Unported)
license[1].

Kind regards and thanks for providing Evidence codes

       Andreas.

[1] https://www.ebi.ac.uk/panda/jira/browse/GOHELP-147

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Tue, 08 Jan 2013 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 08 Jan 2013 12:51:03 GMT) Full text and rfc822 format available.

Message #67 received at 694908@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Victoria Petri <vpetri@mcw.edu>
Cc: 694908@bugs.debian.org
Subject: Redistribution of Pathway ontology inside EMBOSS suite packaged for Debian
Date: Tue, 8 Jan 2013 13:44:58 +0100
Hello Victoria,

I'm writing you on the behalf of the Debian Med team which has included
the EMBOSS suite into official Debian distribution.  The EMBOSS suite
does contain some files of the Pathway ontology and the site

   http://www.obofoundry.org/cgi-bin/detail.cgi?id=pathway

lists you as contact.  So I hope is fine to contact you.  Please note
that I have put the according bug tracker e-mail to this mail which
makes this mail publicly available.  While we would finally need a
public statement please make sure you drop this CC in case you prefer
that your response is not publicly readable.

By packaging the EMBOSS suite the Debian operating system is currently
redistributing some files from Pathway ontology indirectly, because
EMBOSS has included these since version 6.4
(http://packages.debian.org/wheezy/emboss).

Debian considers copyrights and licenses very seriously, and our system
only contains Free software, that is, materials that our users can
freely use, modify and redistribute themselves. In addition to our
system, we have a "non-free" archive in which, as a convenience for our
users, we redistribute works that give less freedoms to our users.

In order to evaluate if works containing Pathway ontology files can at
least be distributed in our "non-free" area, I would like to know if
Pathway ontology is available under other terms of use or licenses, that
allow redistributing Evidence codes ontology files.  You might even like
to follow the Gene Ontology Consortium that has put its database under a
Creative Commons BY (Attribution 3.0 Unported) license[1].

Kind regards and thanks for providing Pathway ontology

       Andreas.

[1] https://www.ebi.ac.uk/panda/jira/browse/GOHELP-147

-- 
http://fam-tille.de

----- End forwarded message -----

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Tue, 08 Jan 2013 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 08 Jan 2013 14:45:03 GMT) Full text and rfc822 format available.

Message #72 received at 694908@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Chris Mungall <cjm@fruitfly.org>
Cc: 694908@bugs.debian.org
Subject: Redistribution of OBO Relation Ontology inside EMBOSS suite packaged for Debian
Date: Tue, 8 Jan 2013 15:40:20 +0100
Hi Chris,

I'm writing you on the behalf of the Debian Med team which has included
the EMBOSS suite into official Debian distribution.  The EMBOSS suite
does contain some files of the OBO Relation Ontology.  I failed to find
any licensing or contact information at

   http://obofoundry.org/ro/

but I noticed that you are the maintainer of this page and you might at
least be able to forward this request.  So I hope is fine to contact
you.  Please note that I have put the according bug tracker e-mail to
this mail which makes this mail publicly available.  While we would
finally need a public statement please make sure you drop this CC in
case you prefer that your response is not publicly readable.

By packaging the EMBOSS suite the Debian operating system is currently
redistributing some files from OBO Relation Ontology indirectly, because
EMBOSS has included these since version 6.4
(http://packages.debian.org/wheezy/emboss).

Debian considers copyrights and licenses very seriously, and our system
only contains Free software, that is, materials that our users can
freely use, modify and redistribute themselves. In addition to our
system, we have a "non-free" archive in which, as a convenience for our
users, we redistribute works that give less freedoms to our users.

In order to evaluate if works containing OBO Relation Ontology files can
at least be distributed in our "non-free" area, I would like to know if
Pathway ontology is available under other terms of use or licenses, that
allow redistributing OBO Relation Ontology files.  You might even like
to follow the Gene Ontology Consortium that has put its database under a
Creative Commons BY (Attribution 3.0 Unported) license[1].

Kind regards and thanks for providing OBO Relation Ontology

       Andreas.

[1] https://www.ebi.ac.uk/panda/jira/browse/GOHELP-147

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Wed, 09 Jan 2013 12:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 09 Jan 2013 12:27:06 GMT) Full text and rfc822 format available.

Message #77 received at 694908@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Janna Hastings <hastings@ebi.ac.uk>
Cc: chebi-help@ebi.ac.uk, debian-med@lists.debian.org, 694908@bugs.debian.org
Subject: Re: EBI HELP: ChEBI
Date: Wed, 9 Jan 2013 13:25:20 +0100
Hi Janna,

thanks for your quick and very helpful response.  I added the following
notice to the according copyright file of the Debian EMBOSS package:

   http://anonscm.debian.org/gitweb/?p=debian-med/emboss.git;a=commitdiff;h=b60238c3eeb7a650bfeddeb7a276980e68af0bdd

We need to sort out other data sets but this one was one of the steps we
needed to do to fix

   http://bugs.debian.org/694908

Thanks for providing ChEBI as free data

    Andreas.

On Wed, Jan 09, 2013 at 11:19:22AM -0000, Janna Hastings wrote:
> Dear Andreas, 
> 
> Thank you for your enquiry and interest in providing ChEBI within the EMBOSS
> package.  ChEBI is provided as completely open and free data, which means
> that we do not restrict our users from copying, modifying and/or
> redistributing for any purpose whatsoever. Therefore, we are happy for you
> to provide ChEBI data within your free area.  We will update our website to
> reflect accordingly. 
> 
> Thanks and best wishes,
> Janna
> 
> -----Original Message-----
> From: chebi-help-bounces@ebi.ac.uk [mailto:chebi-help-bounces@ebi.ac.uk] On
> Behalf Of tille@debian.org
> Sent: 07 January 2013 13:13
> To: chebi-help@ebi.ac.uk
> Subject: EBI HELP: ChEBI
> 
> Hello,
> I'm writing you on the behalf of the Debian Med team which has included the
> EMBOSS suite into official Debian distribution.
> 
> I found on the page https://www.ebi.ac.uk/chebi/aboutChebiForward.do the
> statement that the database is free.   However, I have not found an explicit
> right to redistribute the data.
> 
> The Debian operating system is currently redistributing some files from
> ChEBI indirectly, as we redistribute the EMBOSS package, which incorporates
> some ChEBI files since its version 6.4
> (http://packages.debian.org/wheezy/emboss).
> 
> Debian considers copyrights and licenses very seriously, and our system only
> contains Free software, that is, materials that our users can freely use,
> modify and redistribute themselves. In addition to our system, we have a
> "non-free" archive in which, as a convenience for our users, we redistribute
> works that give less freedoms to our users.
> 
> In order to evaluate if works containing ChEBI files can at least be
> distributed in our "non-free" area, I would like to know if ChEBI is
> available under other terms of use or licenses, that allow redistributing
> ChEBI files.
> 
> Please note:  If you might like to apply a more detailed license including
> redistribution statement it would be great if you could post this in public
> to the Debian Med mailing list <debian-med@lists.debian.org>.
> 
> Kind regards and thanks for providing ChEBI
>     Andreas.
> _______________________________________________
> chebi-help mailing list
> chebi-help@ebi.ac.uk
> http://listserver.ebi.ac.uk/mailman/listinfo/chebi-help
> 
> 

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Wed, 09 Jan 2013 13:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 09 Jan 2013 13:00:04 GMT) Full text and rfc822 format available.

Message #82 received at 694908@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Karen Eilbeck <Karen.Eilbeck@genetics.utah.edu>
Cc: 694908@bugs.debian.org
Subject: Redistribution of Sequence Ontology inside EMBOSS suite packaged for Debian
Date: Wed, 9 Jan 2013 13:56:51 +0100
Hello Karen,

I'm writing you on the behalf of the Debian Med team which has included
the EMBOSS suite into official Debian distribution.  The EMBOSS suite
does contain the file so.obo of the Sequence Ontology.  I failed to find
any licensing information at

   http://www.sequenceontology.org/

So I hope is fine to contact you as your are listed under "drop a note
to".  Please note that I have put the according bug tracker e-mail to
this mail which makes this mail publicly available.  While we would
finally need a public statement please make sure you drop this CC in
case you prefer that your response is not publicly readable.

By packaging the EMBOSS suite the Debian operating system is currently
redistributing the file so.obo from Sequence Ontology indirectly,
because EMBOSS has included these since version 6.4
(http://packages.debian.org/wheezy/emboss).

Debian considers copyrights and licenses very seriously, and our system
only contains Free software, that is, materials that our users can
freely use, modify and redistribute themselves. In addition to our
system, we have a "non-free" archive in which, as a convenience for our
users, we redistribute works that give less freedoms to our users.

In order to evaluate if works containing Sequence Ontology files can at
least be distributed in our "non-free" area, I would like to know if
Sequence Ontology is available under other terms of use or licenses,
that allow redistributing Sequence Ontology files.  You might even like
to follow the Gene Ontology Consortium that has put its database under a
Creative Commons BY (Attribution 3.0 Unported) license[1].

Kind regards and thanks for providing Sequence Ontology

       Andreas.

[1] https://www.ebi.ac.uk/panda/jira/browse/GOHELP-147

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Wed, 09 Jan 2013 13:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 09 Jan 2013 13:33:03 GMT) Full text and rfc822 format available.

Message #87 received at 694908@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: 694908@bugs.debian.org
Subject: Redistribution of The Software Ontology
Date: Wed, 9 Jan 2013 14:30:36 +0100
Just to keep track of the activity regarding this bug I'm forewarding
the text I've send to the author of the Software Ontology

   http://theswo.sourceforge.net/

via Sourceforge webform.  This is the last database to clarify in this
bug report - now waiting for news from the authors.

Kind regards

       Andreas.

----- Forwarded message from Andreas Tille <tille@users.sourceforge.net> -----

Hello James,
I\'m writing you on the behalf of the Debian Med team which
has included the EMBOSS suite into official Debian
distribution.  The EMBOSS suite does contain some files of
the Software Ontology inside your according Sourceforge project.
By packaging the EMBOSS suite the Debian operating system is
currently redistributing some files from The Software
Ontology indirectly, because EMBOSS has included these since
version 6.4 (http://packages.debian.org/wheezy/emboss).
Debian considers copyrights and licenses very seriously, and
our system only contains Free software, that is, materials
that our users can freely use, modify and redistribute
themselves. In addition to our system, we have a \"non-free\"
archive in which, as a convenience for our users, we
redistribute works that give less freedoms to our users.
In order to evaluate if works containing The Software
Ontology files can at least be distributed in our \"non-free\"
area, I would like to know if The Software Ontology is
available under other terms of use or licenses, that allow
redistributing Software Ontology files.  You might even like
to follow the Gene Ontology Consortium that has put its
database under a Creative Commons BY (Attribution 3.0
Unported) license[1].

Kind regards and thanks for providing Software Ontology
       Andreas.
[1] https://www.ebi.ac.uk/panda/jira/browse/GOHELP-147

--
This message was sent to your SourceForge.net email alias via the web mail form.  You may reply to this message directly, or via https://sourceforge.net/sendmessage.php?touser=93990
To update your email alias preferences, please visit https://sourceforge.net/account


----- End forwarded message -----

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Wed, 09 Jan 2013 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 09 Jan 2013 14:15:03 GMT) Full text and rfc822 format available.

Message #92 received at 694908@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: 694908@bugs.debian.org
Subject: [malone@ebi.ac.uk: Re: Redistribution of The Software Ontology]
Date: Wed, 9 Jan 2013 15:12:40 +0100
James Malone, maintainer of The Software Ontology has given permission
to publish his mail in our BTS as reference.

----- Forwarded message from James Malone <malone@ebi.ac.uk> -----

Date: Wed, 09 Jan 2013 13:34:47 +0000
From: James Malone <malone@ebi.ac.uk>
To: Andreas Tille <tille@users.sourceforge.net>
Subject: Re: Redistribution of The Software Ontology

Andreas, Hello,

This is not very clear so apologies, I should really add this
somewhere. The ontologies are produced under the Apache license here:

http://opensource.org/licenses/apache2.0.php

I think this should satisfy your requirements for distribution but if
you have any questions please do let me know.

Best,

James



On 09/01/2013 13:23, Andreas Tille wrote:
> Hello James,
> I\'m writing you on the behalf of the Debian Med team which
> has included the EMBOSS suite into official Debian
> distribution.  The EMBOSS suite does contain some files of
> the Software Ontology inside your according Sourceforge project.
> By packaging the EMBOSS suite the Debian operating system is
> currently redistributing some files from The Software
> Ontology indirectly, because EMBOSS has included these since
> version 6.4 (http://packages.debian.org/wheezy/emboss).
> Debian considers copyrights and licenses very seriously, and
> our system only contains Free software, that is, materials
> that our users can freely use, modify and redistribute
> themselves. In addition to our system, we have a \"non-free\"
> archive in which, as a convenience for our users, we
> redistribute works that give less freedoms to our users.
> In order to evaluate if works containing The Software
> Ontology files can at least be distributed in our \"non-free\"
> area, I would like to know if The Software Ontology is
> available under other terms of use or licenses, that allow
> redistributing Software Ontology files.  You might even like
> to follow the Gene Ontology Consortium that has put its
> database under a Creative Commons BY (Attribution 3.0
> Unported) license[1].
> 
> Kind regards and thanks for providing Software Ontology
>         Andreas.
> [1] https://www.ebi.ac.uk/panda/jira/browse/GOHELP-147
> 
> --
> This message was sent to your SourceForge.net email alias via the web mail form.  You may reply to this message directly, or via https://sourceforge.net/sendmessage.php?touser=93990
> To update your email alias preferences, please visit https://sourceforge.net/account

-- 
Blog: http://jamesmaloneebi.blogspot.co.uk/

European Bioinformatics Institute,
Wellcome Trust Genome Campus,
Cambridge, CB10 1SD,
United Kingdom
Tel: + 44 (0) 1223 494 676
Fax: + 44 (0) 1223 494 468



----- End forwarded message -----

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Wed, 09 Jan 2013 14:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 09 Jan 2013 14:36:03 GMT) Full text and rfc822 format available.

Message #97 received at 694908@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: 694908@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Status update (Was: Bug#694908: Contains non-free data)
Date: Wed, 9 Jan 2013 15:32:34 +0100
Hi,

after pinging all authors of the data files in question I would like to give
a short status update:

Solved
======

File: emboss/data/OBO/gene_ontology*.obo
Homepage: http://www.geneontology.org/GO.cite.shtml
Copyright: 1999–2013 Gene Ontology Consortium
Comment: License is clarified at
         https://www.ebi.ac.uk/panda/jira/browse/GOHELP-147
License: CC-BY-3.0

File: emboss/data/OBO/chebi.obo
Homepage: http://www.ebi.ac.uk/chebi/
Copyright: Public domain according to answer or authors available at
           https://lists.debian.org/debian-med/2013/01/msg00012.html

Files: emboss/data/OBO/software.obo
Homepage: http://theswo.sourceforge.net/
License: Apache-2.0

The debian/copyright file was updated according to this in VCS.


Waiting for confirmation of authors
===================================

Files: emboss/data/OBO/eco.obo
Homepage: http://www.obofoundry.org/cgi-bin/detail.cgi?id=evidence_code
Contacted: http://bugs.debian.org/694908#62

Files: emboss/data/OBO/pathway.obo 
Homepage: http://www.obofoundry.org/cgi-bin/detail.cgi?id=pathway
Contacted: http://bugs.debian.org/694908#67

Files:  emboss/data/OBO/ro.obo
Homepage: http://obofoundry.org/ro/
Contacted: http://bugs.debian.org/694908#72

Files:  emboss/data/OBO/so.obo
Homepage: http://www.sequenceontology.org/
Contacted: http://bugs.debian.org/694908#82

So we have confirmation about the free distribution from three out of
seven questionable files.  I'm positive we will get more like this and
would consider it safe to set the bug wheezy-ignore for the moment if
the release team might share this opinion.

Kind regards

       Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Wed, 09 Jan 2013 22:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 09 Jan 2013 22:00:05 GMT) Full text and rfc822 format available.

Message #102 received at 694908@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 694908@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#694908: Status update (Was: Bug#694908: Contains non-free data)
Date: Thu, 10 Jan 2013 06:56:56 +0900
Le Wed, Jan 09, 2013 at 03:32:34PM +0100, Andreas Tille a écrit :
> 
> So we have confirmation about the free distribution from three out of
> seven questionable files.  I'm positive we will get more like this and
> would consider it safe to set the bug wheezy-ignore for the moment if
> the release team might share this opinion.

Hi Andreas,

thank you so much for your patience and determination.

-- 
Charles



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Thu, 24 Jan 2013 15:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 24 Jan 2013 15:03:05 GMT) Full text and rfc822 format available.

Message #107 received at 694908@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Michelle Gwinn Giglio <mgiglio@som.umaryland.edu>
Cc: 694908@bugs.debian.org
Subject: Re: Redistribution of Evidence codes inside EMBOSS suite packaged for Debian
Date: Thu, 24 Jan 2013 16:01:10 +0100
Hello Michelle,

I hope you are fine and got my last mail.  In case you might need some
time for negotiating these licensing issues it would be really great to
give us some confirmation that you are working on this.  Any response
from your side (or somebody else in charge for Evidence codes) will be
helpful.

Kind regards

      Andreas.

On Mon, Jan 07, 2013 at 02:30:40PM +0100, Andreas Tille wrote:
> Hello Michelle,
> 
> I'm writing you on the behalf of the Debian Med team which has included
> the EMBOSS suite into official Debian distribution.  The EMBOSS suite
> does contain some files of the Evidence codes ontology and the site
> 
>    http://www.obofoundry.org/cgi-bin/detail.cgi?id=evidence_code
> 
> lists you as contact.  So I hope is fine to contact you.  Please note
> that I have put the according bug tracker e-mail to this mail which
> makes this mail publicly available.  While we would finally need a
> public statement please make sure you drop this CC in case you prefer
> that your response is not publicly readable.
> 
> By packaging the EMBOSS suite the Debian operating system is currently
> redistributing some files from Evidence codes ontology indirectly, which
> incorporates some Evidence codes ontology files since its version 6.4
> (http://packages.debian.org/wheezy/emboss).
> 
> Debian considers copyrights and licenses very seriously, and our system
> only contains Free software, that is, materials that our users can
> freely use, modify and redistribute themselves. In addition to our
> system, we have a "non-free" archive in which, as a convenience for our
> users, we redistribute works that give less freedoms to our users.
> 
> In order to evaluate if works containing Evidence codes ontology files
> can at least be distributed in our "non-free" area, I would like to know
> if Evidence codes ontology is available under other terms of use or
> licenses, that allow redistributing Evidence codes ontology files.  You
> might even like to follow the Gene Ontology Consortium that has put its
> database under a Creative Commons BY (Attribution 3.0 Unported)
> license[1].
> 
> Kind regards and thanks for providing Evidence codes
> 
>        Andreas.
> 
> [1] https://www.ebi.ac.uk/panda/jira/browse/GOHELP-147
> 
> -- 
> http://fam-tille.de

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Thu, 24 Jan 2013 15:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 24 Jan 2013 15:09:03 GMT) Full text and rfc822 format available.

Message #112 received at 694908@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Victoria Petri <vpetri@mcw.edu>
Cc: 694908@bugs.debian.org
Subject: Re: Redistribution of Pathway ontology inside EMBOSS suite packaged for Debian
Date: Thu, 24 Jan 2013 16:05:13 +0100
Hello Victoria,

I hope you are fine and got my last mail.  In case you might need some
time for negotiating these licensing issues it would be really great to
give us some confirmation that you are working on this.  Any response
from your side (or somebody else in charge for Pathway ontology) will be
helpful.

Kind regards

      Andreas.

On Tue, Jan 08, 2013 at 01:44:58PM +0100, Andreas Tille wrote:
> Hello Victoria,
> 
> I'm writing you on the behalf of the Debian Med team which has included
> the EMBOSS suite into official Debian distribution.  The EMBOSS suite
> does contain some files of the Pathway ontology and the site
> 
>    http://www.obofoundry.org/cgi-bin/detail.cgi?id=pathway
> 
> lists you as contact.  So I hope is fine to contact you.  Please note
> that I have put the according bug tracker e-mail to this mail which
> makes this mail publicly available.  While we would finally need a
> public statement please make sure you drop this CC in case you prefer
> that your response is not publicly readable.
> 
> By packaging the EMBOSS suite the Debian operating system is currently
> redistributing some files from Pathway ontology indirectly, because
> EMBOSS has included these since version 6.4
> (http://packages.debian.org/wheezy/emboss).
> 
> Debian considers copyrights and licenses very seriously, and our system
> only contains Free software, that is, materials that our users can
> freely use, modify and redistribute themselves. In addition to our
> system, we have a "non-free" archive in which, as a convenience for our
> users, we redistribute works that give less freedoms to our users.
> 
> In order to evaluate if works containing Pathway ontology files can at
> least be distributed in our "non-free" area, I would like to know if
> Pathway ontology is available under other terms of use or licenses, that
> allow redistributing Evidence codes ontology files.  You might even like
> to follow the Gene Ontology Consortium that has put its database under a
> Creative Commons BY (Attribution 3.0 Unported) license[1].
> 
> Kind regards and thanks for providing Pathway ontology
> 
>        Andreas.
> 
> [1] https://www.ebi.ac.uk/panda/jira/browse/GOHELP-147
> 
> -- 
> http://fam-tille.de
> 
> ----- End forwarded message -----
> 
> -- 
> http://fam-tille.de

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Thu, 24 Jan 2013 15:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 24 Jan 2013 15:09:05 GMT) Full text and rfc822 format available.

Message #117 received at 694908@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Chris Mungall <cjm@fruitfly.org>
Cc: 694908@bugs.debian.org
Subject: Re: Redistribution of OBO Relation Ontology inside EMBOSS suite packaged for Debian
Date: Thu, 24 Jan 2013 16:06:10 +0100
Hi Chris,

I hope you are fine and got my last mail.  In case you might need some
time for negotiating these licensing issues it would be really great to
give us some confirmation that you are working on this.  Any response
from your side (or somebody else in charge for OBO Relation Ontology)
will be helpful.

Kind regards

      Andreas.

On Tue, Jan 08, 2013 at 03:40:20PM +0100, Andreas Tille wrote:
> Hi Chris,
> 
> I'm writing you on the behalf of the Debian Med team which has included
> the EMBOSS suite into official Debian distribution.  The EMBOSS suite
> does contain some files of the OBO Relation Ontology.  I failed to find
> any licensing or contact information at
> 
>    http://obofoundry.org/ro/
> 
> but I noticed that you are the maintainer of this page and you might at
> least be able to forward this request.  So I hope is fine to contact
> you.  Please note that I have put the according bug tracker e-mail to
> this mail which makes this mail publicly available.  While we would
> finally need a public statement please make sure you drop this CC in
> case you prefer that your response is not publicly readable.
> 
> By packaging the EMBOSS suite the Debian operating system is currently
> redistributing some files from OBO Relation Ontology indirectly, because
> EMBOSS has included these since version 6.4
> (http://packages.debian.org/wheezy/emboss).
> 
> Debian considers copyrights and licenses very seriously, and our system
> only contains Free software, that is, materials that our users can
> freely use, modify and redistribute themselves. In addition to our
> system, we have a "non-free" archive in which, as a convenience for our
> users, we redistribute works that give less freedoms to our users.
> 
> In order to evaluate if works containing OBO Relation Ontology files can
> at least be distributed in our "non-free" area, I would like to know if
> Pathway ontology is available under other terms of use or licenses, that
> allow redistributing OBO Relation Ontology files.  You might even like
> to follow the Gene Ontology Consortium that has put its database under a
> Creative Commons BY (Attribution 3.0 Unported) license[1].
> 
> Kind regards and thanks for providing OBO Relation Ontology
> 
>        Andreas.
> 
> [1] https://www.ebi.ac.uk/panda/jira/browse/GOHELP-147
> 
> -- 
> http://fam-tille.de
> 

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Thu, 24 Jan 2013 15:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 24 Jan 2013 15:09:07 GMT) Full text and rfc822 format available.

Message #122 received at 694908@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Karen Eilbeck <Karen.Eilbeck@genetics.utah.edu>
Cc: 694908@bugs.debian.org
Subject: Re: Redistribution of Sequence Ontology inside EMBOSS suite packaged for Debian
Date: Thu, 24 Jan 2013 16:07:10 +0100
Hello Karen,

I hope you are fine and got my last mail.  In case you might need some
time for negotiating these licensing issues it would be really great to
give us some confirmation that you are working on this.  Any response
from your side (or somebody else in charge for Sequence Ontology) will
be helpful.

Kind regards

      Andreas.

On Wed, Jan 09, 2013 at 01:56:51PM +0100, Andreas Tille wrote:
> Hello Karen,
> 
> I'm writing you on the behalf of the Debian Med team which has included
> the EMBOSS suite into official Debian distribution.  The EMBOSS suite
> does contain the file so.obo of the Sequence Ontology.  I failed to find
> any licensing information at
> 
>    http://www.sequenceontology.org/
> 
> So I hope is fine to contact you as your are listed under "drop a note
> to".  Please note that I have put the according bug tracker e-mail to
> this mail which makes this mail publicly available.  While we would
> finally need a public statement please make sure you drop this CC in
> case you prefer that your response is not publicly readable.
> 
> By packaging the EMBOSS suite the Debian operating system is currently
> redistributing the file so.obo from Sequence Ontology indirectly,
> because EMBOSS has included these since version 6.4
> (http://packages.debian.org/wheezy/emboss).
> 
> Debian considers copyrights and licenses very seriously, and our system
> only contains Free software, that is, materials that our users can
> freely use, modify and redistribute themselves. In addition to our
> system, we have a "non-free" archive in which, as a convenience for our
> users, we redistribute works that give less freedoms to our users.
> 
> In order to evaluate if works containing Sequence Ontology files can at
> least be distributed in our "non-free" area, I would like to know if
> Sequence Ontology is available under other terms of use or licenses,
> that allow redistributing Sequence Ontology files.  You might even like
> to follow the Gene Ontology Consortium that has put its database under a
> Creative Commons BY (Attribution 3.0 Unported) license[1].
> 
> Kind regards and thanks for providing Sequence Ontology
> 
>        Andreas.
> 
> [1] https://www.ebi.ac.uk/panda/jira/browse/GOHELP-147
> 
> -- 
> http://fam-tille.de

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Thu, 24 Jan 2013 15:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 24 Jan 2013 15:15:06 GMT) Full text and rfc822 format available.

Message #127 received at 694908@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 694908@bugs.debian.org
Subject: Re: Status update (Was: Bug#694908: Contains non-free data)
Date: Thu, 24 Jan 2013 16:09:55 +0100
Another status update:  Just pinged all those authors that did not yet
responded since the last status update

   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=694908#97

Kind regards

       Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Thu, 24 Jan 2013 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Mungall <cjmungall@lbl.gov>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 24 Jan 2013 17:51:03 GMT) Full text and rfc822 format available.

Message #132 received at 694908@bugs.debian.org (full text, mbox):

From: Chris Mungall <cjmungall@lbl.gov>
To: Andreas Tille <tille@debian.org>
Cc: Chris Mungall <cjm@fruitfly.org>, 694908@bugs.debian.org
Subject: Re: Redistribution of OBO Relation Ontology inside EMBOSS suite packaged for Debian
Date: Thu, 24 Jan 2013 09:36:18 -0800
Note the note at the top of the web page - OBO_REL is deprecated.

The new relation ontology is here:
http://code.google.com/p/obo-relations/

• Code license
• New BSD License
•
• Content license
• Creative Commons 3.0 BY

If you need to distribute the legacy one by all means do it, it should be CC 3.0 BY like most of the OBO ontologies.

On Jan 24, 2013, at 7:06 AM, Andreas Tille wrote:

> Hi Chris,
> 
> I hope you are fine and got my last mail.  In case you might need some
> time for negotiating these licensing issues it would be really great to
> give us some confirmation that you are working on this.  Any response
> from your side (or somebody else in charge for OBO Relation Ontology)
> will be helpful.
> 
> Kind regards
> 
>      Andreas.
> 
> On Tue, Jan 08, 2013 at 03:40:20PM +0100, Andreas Tille wrote:
>> Hi Chris,
>> 
>> I'm writing you on the behalf of the Debian Med team which has included
>> the EMBOSS suite into official Debian distribution.  The EMBOSS suite
>> does contain some files of the OBO Relation Ontology.  I failed to find
>> any licensing or contact information at
>> 
>>   http://obofoundry.org/ro/
>> 
>> but I noticed that you are the maintainer of this page and you might at
>> least be able to forward this request.  So I hope is fine to contact
>> you.  Please note that I have put the according bug tracker e-mail to
>> this mail which makes this mail publicly available.  While we would
>> finally need a public statement please make sure you drop this CC in
>> case you prefer that your response is not publicly readable.
>> 
>> By packaging the EMBOSS suite the Debian operating system is currently
>> redistributing some files from OBO Relation Ontology indirectly, because
>> EMBOSS has included these since version 6.4
>> (http://packages.debian.org/wheezy/emboss).
>> 
>> Debian considers copyrights and licenses very seriously, and our system
>> only contains Free software, that is, materials that our users can
>> freely use, modify and redistribute themselves. In addition to our
>> system, we have a "non-free" archive in which, as a convenience for our
>> users, we redistribute works that give less freedoms to our users.
>> 
>> In order to evaluate if works containing OBO Relation Ontology files can
>> at least be distributed in our "non-free" area, I would like to know if
>> Pathway ontology is available under other terms of use or licenses, that
>> allow redistributing OBO Relation Ontology files.  You might even like
>> to follow the Gene Ontology Consortium that has put its database under a
>> Creative Commons BY (Attribution 3.0 Unported) license[1].
>> 
>> Kind regards and thanks for providing OBO Relation Ontology
>> 
>>       Andreas.
>> 
>> [1] https://www.ebi.ac.uk/panda/jira/browse/GOHELP-147
>> 
>> -- 
>> http://fam-tille.de
>> 
> 
> -- 
> http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Sat, 26 Jan 2013 12:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 26 Jan 2013 12:54:03 GMT) Full text and rfc822 format available.

Message #137 received at 694908@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Charles Plessy <plessy@debian.org>, 694908@bugs.debian.org
Subject: Re: Bug#694908: Contains non-free data
Date: Sat, 26 Jan 2013 12:51:23 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 wheezy-ignore

On Sat, Dec 29, 2012 at 18:46:20 +0100, Julien Cristau wrote:

> On Sun, Dec  2, 2012 at 09:39:14 +0900, Charles Plessy wrote:
> 
> > Package: emboss
> > Version: 6.4.0-4
> > Severity: serious
> > 
> > As discussed in the following message, EMBOSS contains non-free data.
> > 
> >   https://lists.debian.org/20120918045219.GA26402@falafel.plessy.net
> > 
> > We need to consider short- and long-term solutions to this problem.  For the
> > short-term solution, I think that I will not have time to split free and
> > non-free parts of EMBOSS, so we need again to consider to move it altogether to
> > non-free.  In contrary to the UniProt files which were in the test suite, the
> > Gene Ontology files are needed by EMBOSS to run some of its programs.
> > 
> Does that mean emboss and embassy-* need to be removed from wheezy?
> 
Seems there's good progress towards fixing this, so tagging
wheezy-ignore.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) wheezy-ignore. Request was from Julien Cristau <jcristau@debian.org> to 694908-submit@bugs.debian.org. (Sat, 26 Jan 2013 12:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Mon, 18 Feb 2013 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 18 Feb 2013 14:21:03 GMT) Full text and rfc822 format available.

Message #144 received at 694908@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Chris Mungall <cjm@fruitfly.org>
Cc: 694908@bugs.debian.org
Subject: Re: Redistribution of OBO Relation Ontology inside EMBOSS suite packaged for Debian
Date: Mon, 18 Feb 2013 15:16:59 +0100
Hi Chris,

sorry for pinging again.  Could you please issue some sign of live to
let us know whether we could hope for some license clarification or
whether we might need to seek for other people affiliated to OBO
Relation Ontology?

Kind regards

       Andreas.

On Thu, Jan 24, 2013 at 04:06:10PM +0100, Andreas Tille wrote:
> Hi Chris,
> 
> I hope you are fine and got my last mail.  In case you might need some
> time for negotiating these licensing issues it would be really great to
> give us some confirmation that you are working on this.  Any response
> from your side (or somebody else in charge for OBO Relation Ontology)
> will be helpful.
> 
> Kind regards
> 
>       Andreas.
> 
> On Tue, Jan 08, 2013 at 03:40:20PM +0100, Andreas Tille wrote:
> > Hi Chris,
> > 
> > I'm writing you on the behalf of the Debian Med team which has included
> > the EMBOSS suite into official Debian distribution.  The EMBOSS suite
> > does contain some files of the OBO Relation Ontology.  I failed to find
> > any licensing or contact information at
> > 
> >    http://obofoundry.org/ro/
> > 
> > but I noticed that you are the maintainer of this page and you might at
> > least be able to forward this request.  So I hope is fine to contact
> > you.  Please note that I have put the according bug tracker e-mail to
> > this mail which makes this mail publicly available.  While we would
> > finally need a public statement please make sure you drop this CC in
> > case you prefer that your response is not publicly readable.
> > 
> > By packaging the EMBOSS suite the Debian operating system is currently
> > redistributing some files from OBO Relation Ontology indirectly, because
> > EMBOSS has included these since version 6.4
> > (http://packages.debian.org/wheezy/emboss).
> > 
> > Debian considers copyrights and licenses very seriously, and our system
> > only contains Free software, that is, materials that our users can
> > freely use, modify and redistribute themselves. In addition to our
> > system, we have a "non-free" archive in which, as a convenience for our
> > users, we redistribute works that give less freedoms to our users.
> > 
> > In order to evaluate if works containing OBO Relation Ontology files can
> > at least be distributed in our "non-free" area, I would like to know if
> > Pathway ontology is available under other terms of use or licenses, that
> > allow redistributing OBO Relation Ontology files.  You might even like
> > to follow the Gene Ontology Consortium that has put its database under a
> > Creative Commons BY (Attribution 3.0 Unported) license[1].
> > 
> > Kind regards and thanks for providing OBO Relation Ontology
> > 
> >        Andreas.
> > 
> > [1] https://www.ebi.ac.uk/panda/jira/browse/GOHELP-147
> > 
> > -- 
> > http://fam-tille.de
> > 
> 
> -- 
> http://fam-tille.de

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Mon, 18 Feb 2013 14:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 18 Feb 2013 14:21:05 GMT) Full text and rfc822 format available.

Message #149 received at 694908@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Karen Eilbeck <Karen.Eilbeck@genetics.utah.edu>
Cc: 694908@bugs.debian.org
Subject: Re: Redistribution of Sequence Ontology inside EMBOSS suite packaged for Debian
Date: Mon, 18 Feb 2013 15:18:56 +0100
Hi Karen,

sorry for pinging again.  Could you please issue some sign of live to
let us know whether we could hope for some license clarification or
whether we might need to seek for other people affiliated to  Sequence
Ontology?

Kind regards

       Andreas.

On Thu, Jan 24, 2013 at 04:07:10PM +0100, Andreas Tille wrote:
> Hello Karen,
> 
> I hope you are fine and got my last mail.  In case you might need some
> time for negotiating these licensing issues it would be really great to
> give us some confirmation that you are working on this.  Any response
> from your side (or somebody else in charge for Sequence Ontology) will
> be helpful.
> 
> Kind regards
> 
>       Andreas.
> 
> On Wed, Jan 09, 2013 at 01:56:51PM +0100, Andreas Tille wrote:
> > Hello Karen,
> > 
> > I'm writing you on the behalf of the Debian Med team which has included
> > the EMBOSS suite into official Debian distribution.  The EMBOSS suite
> > does contain the file so.obo of the Sequence Ontology.  I failed to find
> > any licensing information at
> > 
> >    http://www.sequenceontology.org/
> > 
> > So I hope is fine to contact you as your are listed under "drop a note
> > to".  Please note that I have put the according bug tracker e-mail to
> > this mail which makes this mail publicly available.  While we would
> > finally need a public statement please make sure you drop this CC in
> > case you prefer that your response is not publicly readable.
> > 
> > By packaging the EMBOSS suite the Debian operating system is currently
> > redistributing the file so.obo from Sequence Ontology indirectly,
> > because EMBOSS has included these since version 6.4
> > (http://packages.debian.org/wheezy/emboss).
> > 
> > Debian considers copyrights and licenses very seriously, and our system
> > only contains Free software, that is, materials that our users can
> > freely use, modify and redistribute themselves. In addition to our
> > system, we have a "non-free" archive in which, as a convenience for our
> > users, we redistribute works that give less freedoms to our users.
> > 
> > In order to evaluate if works containing Sequence Ontology files can at
> > least be distributed in our "non-free" area, I would like to know if
> > Sequence Ontology is available under other terms of use or licenses,
> > that allow redistributing Sequence Ontology files.  You might even like
> > to follow the Gene Ontology Consortium that has put its database under a
> > Creative Commons BY (Attribution 3.0 Unported) license[1].
> > 
> > Kind regards and thanks for providing Sequence Ontology
> > 
> >        Andreas.
> > 
> > [1] https://www.ebi.ac.uk/panda/jira/browse/GOHELP-147
> > 
> > -- 
> > http://fam-tille.de
> 
> -- 
> http://fam-tille.de

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Mon, 18 Feb 2013 18:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Mungall <cjmungall@lbl.gov>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 18 Feb 2013 18:09:06 GMT) Full text and rfc822 format available.

Message #154 received at 694908@bugs.debian.org (full text, mbox):

From: Chris Mungall <cjmungall@lbl.gov>
To: Andreas Tille <tille@debian.org>
Cc: Chris Mungall <cjm@fruitfly.org>, 694908@bugs.debian.org
Subject: Re: Redistribution of OBO Relation Ontology inside EMBOSS suite packaged for Debian
Date: Mon, 18 Feb 2013 10:07:54 -0800
Hi Andreas

For the new RO we made the code BSD and the content CC-BY 3.0. The content is the part that is required by EMBOSS

http://code.google.com/p/obo-relations/

Is this sufficient for the old OBO_REL (http://obofoundry.org/ro)? Is my agreement sufficient? Or do you need a license file embedded somewhere on the website (the content is somewhat frozen at the moment, I advise EMBOSS to move to the new RO)?

On Feb 18, 2013, at 6:16 AM, Andreas Tille wrote:

> Hi Chris,
> 
> sorry for pinging again.  Could you please issue some sign of live to
> let us know whether we could hope for some license clarification or
> whether we might need to seek for other people affiliated to OBO
> Relation Ontology?
> 
> Kind regards
> 
>       Andreas.
> 
> On Thu, Jan 24, 2013 at 04:06:10PM +0100, Andreas Tille wrote:
>> Hi Chris,
>> 
>> I hope you are fine and got my last mail.  In case you might need some
>> time for negotiating these licensing issues it would be really great to
>> give us some confirmation that you are working on this.  Any response
>> from your side (or somebody else in charge for OBO Relation Ontology)
>> will be helpful.
>> 
>> Kind regards
>> 
>>      Andreas.
>> 
>> On Tue, Jan 08, 2013 at 03:40:20PM +0100, Andreas Tille wrote:
>>> Hi Chris,
>>> 
>>> I'm writing you on the behalf of the Debian Med team which has included
>>> the EMBOSS suite into official Debian distribution.  The EMBOSS suite
>>> does contain some files of the OBO Relation Ontology.  I failed to find
>>> any licensing or contact information at
>>> 
>>>   http://obofoundry.org/ro/
>>> 
>>> but I noticed that you are the maintainer of this page and you might at
>>> least be able to forward this request.  So I hope is fine to contact
>>> you.  Please note that I have put the according bug tracker e-mail to
>>> this mail which makes this mail publicly available.  While we would
>>> finally need a public statement please make sure you drop this CC in
>>> case you prefer that your response is not publicly readable.
>>> 
>>> By packaging the EMBOSS suite the Debian operating system is currently
>>> redistributing some files from OBO Relation Ontology indirectly, because
>>> EMBOSS has included these since version 6.4
>>> (http://packages.debian.org/wheezy/emboss).
>>> 
>>> Debian considers copyrights and licenses very seriously, and our system
>>> only contains Free software, that is, materials that our users can
>>> freely use, modify and redistribute themselves. In addition to our
>>> system, we have a "non-free" archive in which, as a convenience for our
>>> users, we redistribute works that give less freedoms to our users.
>>> 
>>> In order to evaluate if works containing OBO Relation Ontology files can
>>> at least be distributed in our "non-free" area, I would like to know if
>>> Pathway ontology is available under other terms of use or licenses, that
>>> allow redistributing OBO Relation Ontology files.  You might even like
>>> to follow the Gene Ontology Consortium that has put its database under a
>>> Creative Commons BY (Attribution 3.0 Unported) license[1].
>>> 
>>> Kind regards and thanks for providing OBO Relation Ontology
>>> 
>>>       Andreas.
>>> 
>>> [1] https://www.ebi.ac.uk/panda/jira/browse/GOHELP-147
>>> 
>>> -- 
>>> http://fam-tille.de
>>> 
>> 
>> -- 
>> http://fam-tille.de
> 
> -- 
> http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Mon, 18 Feb 2013 20:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 18 Feb 2013 20:09:03 GMT) Full text and rfc822 format available.

Message #159 received at 694908@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Chris Mungall <cjmungall@lbl.gov>
Cc: Chris Mungall <cjm@fruitfly.org>, 694908@bugs.debian.org
Subject: Re: Redistribution of OBO Relation Ontology inside EMBOSS suite packaged for Debian
Date: Mon, 18 Feb 2013 21:06:55 +0100
Hi Chris,

thanks for your answer.  I guess this is sufficient.

Thanks for your work on obo-relations

      Andreas.

On Mon, Feb 18, 2013 at 10:07:54AM -0800, Chris Mungall wrote:
> 
> Hi Andreas
> 
> For the new RO we made the code BSD and the content CC-BY 3.0. The content is the part that is required by EMBOSS
> 
> http://code.google.com/p/obo-relations/
> 
> Is this sufficient for the old OBO_REL (http://obofoundry.org/ro)? Is my agreement sufficient? Or do you need a license file embedded somewhere on the website (the content is somewhat frozen at the moment, I advise EMBOSS to move to the new RO)?
> 
> On Feb 18, 2013, at 6:16 AM, Andreas Tille wrote:
> 
> > Hi Chris,
> > 
> > sorry for pinging again.  Could you please issue some sign of live to
> > let us know whether we could hope for some license clarification or
> > whether we might need to seek for other people affiliated to OBO
> > Relation Ontology?
> > 
> > Kind regards
> > 
> >       Andreas.
> > 
> > On Thu, Jan 24, 2013 at 04:06:10PM +0100, Andreas Tille wrote:
> >> Hi Chris,
> >> 
> >> I hope you are fine and got my last mail.  In case you might need some
> >> time for negotiating these licensing issues it would be really great to
> >> give us some confirmation that you are working on this.  Any response
> >> from your side (or somebody else in charge for OBO Relation Ontology)
> >> will be helpful.
> >> 
> >> Kind regards
> >> 
> >>      Andreas.
> >> 
> >> On Tue, Jan 08, 2013 at 03:40:20PM +0100, Andreas Tille wrote:
> >>> Hi Chris,
> >>> 
> >>> I'm writing you on the behalf of the Debian Med team which has included
> >>> the EMBOSS suite into official Debian distribution.  The EMBOSS suite
> >>> does contain some files of the OBO Relation Ontology.  I failed to find
> >>> any licensing or contact information at
> >>> 
> >>>   http://obofoundry.org/ro/
> >>> 
> >>> but I noticed that you are the maintainer of this page and you might at
> >>> least be able to forward this request.  So I hope is fine to contact
> >>> you.  Please note that I have put the according bug tracker e-mail to
> >>> this mail which makes this mail publicly available.  While we would
> >>> finally need a public statement please make sure you drop this CC in
> >>> case you prefer that your response is not publicly readable.
> >>> 
> >>> By packaging the EMBOSS suite the Debian operating system is currently
> >>> redistributing some files from OBO Relation Ontology indirectly, because
> >>> EMBOSS has included these since version 6.4
> >>> (http://packages.debian.org/wheezy/emboss).
> >>> 
> >>> Debian considers copyrights and licenses very seriously, and our system
> >>> only contains Free software, that is, materials that our users can
> >>> freely use, modify and redistribute themselves. In addition to our
> >>> system, we have a "non-free" archive in which, as a convenience for our
> >>> users, we redistribute works that give less freedoms to our users.
> >>> 
> >>> In order to evaluate if works containing OBO Relation Ontology files can
> >>> at least be distributed in our "non-free" area, I would like to know if
> >>> Pathway ontology is available under other terms of use or licenses, that
> >>> allow redistributing OBO Relation Ontology files.  You might even like
> >>> to follow the Gene Ontology Consortium that has put its database under a
> >>> Creative Commons BY (Attribution 3.0 Unported) license[1].
> >>> 
> >>> Kind regards and thanks for providing OBO Relation Ontology
> >>> 
> >>>       Andreas.
> >>> 
> >>> [1] https://www.ebi.ac.uk/panda/jira/browse/GOHELP-147
> >>> 
> >>> -- 
> >>> http://fam-tille.de
> >>> 
> >> 
> >> -- 
> >> http://fam-tille.de
> > 
> > -- 
> > http://fam-tille.de
> 
> 

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Tue, 19 Feb 2013 08:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 19 Feb 2013 08:24:03 GMT) Full text and rfc822 format available.

Message #164 received at 694908@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: 694908@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#694908: Status update (Was: Bug#694908: Contains non-free data)
Date: Tue, 19 Feb 2013 09:20:15 +0100
Hi,

updated status of this bug (thanks to Julien Cristau it is wheezy-ignore
but we do want to close it anyway as soon as possible).  I did another
round of ping to the authors and had again some (close to final)
success:

> Solved
> ======
> 
> File: emboss/data/OBO/gene_ontology*.obo
> Homepage: http://www.geneontology.org/GO.cite.shtml
> Copyright: 1999–2013 Gene Ontology Consortium
> Comment: License is clarified at
>          https://www.ebi.ac.uk/panda/jira/browse/GOHELP-147
> License: CC-BY-3.0
> 
> File: emboss/data/OBO/chebi.obo
> Homepage: http://www.ebi.ac.uk/chebi/
> Copyright: Public domain according to answer or authors available at
>            https://lists.debian.org/debian-med/2013/01/msg00012.html
> 
> Files: emboss/data/OBO/software.obo
> Homepage: http://theswo.sourceforge.net/
> License: Apache-2.0

Newly solved:
=============

Files: emboss/data/OBO/eco.obo
Homepage: https://code.google.com/p/evidenceontology/
Copyright: 2009-2013 Marcus Chibucos <mchibucos@gmail.com>,
                     Michelle Giglio <mgiglio@som.umaryland.edu>
License: GPL-3+
 
Files:  emboss/data/OBO/ro.obo
Homepage: http://code.google.com/p/obo-relations/
Copyright: 2009-2013 Chris Mungall <cjmungall@lbl.gov> and others
License: CC-BY-3.0
 
The debian/copyright file was updated according to this in Git.
 

Authors have confirmed free license but some minor clarification would
be welcome.
======================================================================
 
> Files: emboss/data/OBO/pathway.obo 
> Homepage: http://www.obofoundry.org/cgi-bin/detail.cgi?id=pathway
> Contacted: http://bugs.debian.org/694908#67

Private mail from "Petri, Victoria" <vpetri@mcw.edu>:
  "I talked to our manager and everything we do is absolutely free."

I want them to do some *explicite* *public* license statement.
 
> Files:  emboss/data/OBO/so.obo
> Homepage: http://www.sequenceontology.org/
> Contacted: http://bugs.debian.org/694908#82

Private mail from Karen Eilbeck <keilbeck@genetics.utah.edu>:
  "There is a license for SO on the page somewhere. Its the same as for GO.
   I will look for it and send you this week."
 

Finally we do have confirmation at least in private mail for all files
and are quite positive to be able to get a fully clean copyright file
soon.

Kind regards

     Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Sat, 23 Feb 2013 14:30:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 23 Feb 2013 14:30:11 GMT) Full text and rfc822 format available.

Message #169 received at 694908@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: "Petri, Victoria" <vpetri@mcw.edu>
Cc: 694908@bugs.debian.org
Subject: Re: Redistribution of Pathway ontology inside EMBOSS suite packaged for Debian
Date: Sat, 23 Feb 2013 23:26:33 +0900
Dear Victoria,

I am Charles Plessy from the Debian project, working with Andreas Tille on
packaging and distributing software relevant to medecine and bioinformatics.

Thank you for your answers about Pathway Ontology (PW) and sorry to bother you
again.  It would tremendously help us if we could have a confirmation that PW
is released under the Creative Commons license 3.0, because in our experience,
there are often misundersandings about what is meant by "free".  In particular,
in Debian's point of view, it is necessary to allow a work to be sold in order
to be called "free".  One of the reasons is that Debian is often distributed on
DVDs that are sold, and that requires the right to commercially use each of the
~30,000 programs that we redistribute.

The CC 3.0 license (http://creativecommons.org/licenses/by/3.0/) would give us
that right.  Given that it already been adopted for other ontologies, in
particular Gene Ontology, I hope that it would be possible for RGD to release
PW under this license or a similarly free one.  In that case, could you for instance
drop a LICENSE file in ftp://rgd.mcw.edu/pub/data_release/ontology_obo_files/pathway/ or
answer us at 694908@bugs.debian.org (where I have sent a carbon copy of this message).

Many thanks for the time you are giving us,

Charles

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Tsurumi, Kanagawa, Japan



Added tag(s) pending. Request was from Andreas Tille <andreas@an3as.eu> to control@bugs.debian.org. (Fri, 08 Mar 2013 13:39:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#694908; Package emboss. (Fri, 08 Mar 2013 14:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Fri, 08 Mar 2013 14:54:06 GMT) Full text and rfc822 format available.

Message #176 received at 694908@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Julien Cristau <jcristau@debian.org>, 694908@bugs.debian.org
Subject: Re: Bug#694908: Contains non-free data
Date: Fri, 8 Mar 2013 15:48:55 +0100
Hi,

latest status update: Tag "pending" was set.

All known license issues are now solved in debian/copyright of packaging
Git.  However, the version of EMBOSS in the Git repository is already
higher than in wheezy, so we decided to wait with an upload until after
the release.  The fact that RC team has set wheezy-ignore seems to
support this decision.

Kind regards and thanks to all who helped solving this problem

       Andreas.

On Sat, Jan 26, 2013 at 12:51:23PM +0000, Julien Cristau wrote:
> Control: tag -1 wheezy-ignore
> 
> Seems there's good progress towards fixing this, so tagging
> wheezy-ignore.


-- 
http://fam-tille.de



Reply sent to Charles Plessy <plessy@debian.org>:
You have taken responsibility. (Thu, 12 Sep 2013 04:42:05 GMT) Full text and rfc822 format available.

Notification sent to Charles Plessy <plessy@debian.org>:
Bug acknowledged by developer. (Thu, 12 Sep 2013 04:42:05 GMT) Full text and rfc822 format available.

Message #181 received at 694908-done@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Debian Med Project List <debian-med@lists.debian.org>
Cc: 694908-done@bugs.debian.org
Subject: Re: Please test emboss packaging in Git
Date: Thu, 12 Sep 2013 13:38:56 +0900
Version: 6.6.0-1

Le Mon, Sep 09, 2013 at 04:54:51PM +0200, Andreas Tille a écrit :
> 
> I wonder if there are volunteers to test EMBOSS packaging in Git.  IMHO
> we should upload soonish to finally close #694908.  I'll check the other
> bugs whether these are fixed in new upstream soon but some testing of
> somebody else before I'll upload might not harm.

Hi Andreas,

thanks a lot for this upload and all the work on #694908.  The upload did not
close this bug so I am doing it by this email.

It looks like you forgot to push the upstream and pristine-tar branches.  After
you push them, I will have a extra look to confirm the absence of new non-free
files.

If you still have the build logs, could you send them to me or commit them ?
Especially for big packages like EMBOSS, I like to keep them.

I am using EMBOSS at work from time to tome (only for nucleic acids), and will
definitely report issues if I find some.  Also, the regression tests never
passed completely, and if I have time I will report the failures upstream if
there are still some with version 6.6.0.

Have a nice day,

-- 
Charles



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 19:12:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.